<?php
/**
 *  LogoutLoginWP.php
 *	Version .1
 *	Copyright (C) 2009 CUNY Academic Commons
 *	This file is part of WpmuSso
 *
 *  WpmuSso is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  WpmuSso is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with LogoutLoginWP.  If not, see <http://www.gnu.org/licenses/>.
 */


// Got this idea from this: http://www.mediawiki.org/wiki/Extension:RedirectAfterLogout
// Pick up the redirect_to query value, and after logout, redirect back to it
$wgHooks['UserLogout'][] = 'redirectAfterLogout';
function redirectAfterLogout(&$user) {
	global $wgOut;
	global $wgRequest;
	if($redirectTo = $wgRequest->data['redirect_to']) {
		$redirectCompareToDomain = preg_replace('@http://@','',$redirectTo);
		$currentDomain = $_SERVER['HTTP_HOST'];	
		if(strpos($redirectCompareToDomain,$currentDomain) === 0) {
			$wgOut->redirect($redirectTo);
		}
	}
	return true;
}

// If the login form is requested, redirect to the Wordpress login
$wgHooks['UserLoginForm'][] = 'LoginRedirectToWP';
function LoginRedirectToWP() {
	global $wgRequest;
	global $wgOut;
	$wgOut->redirect('http://'.$_SERVER['HTTP_HOST'].'/wp-login.php');
	return true;
}


?>